# MusicSet Struct Reference

All data of a music set. More...

`#include <base_media_base.h>`

Inheritance diagram for MusicSet:

## Public Member Functions

bool | FillSetDetails (struct IniFile *ini, const char *path)
| Read the set information from a loaded ini.

## Data Fields

char | song_name [NUM_SONGS_AVAILABLE][32]
| The name of the different songs.
byte | track_nr [NUM_SONGS_AVAILABLE]
byte | num_available

## Detailed Description

All data of a music set.

Definition at line 269 of file base_media_base.h.

## Member Function Documentation

bool MusicSet::FillSetDetails | ( | struct IniFile * | ini,
|  | const char * | path |
| ) |  |  |

Read the set information from a loaded ini.

Parameters:

  | ini | the ini to read from
  | path | the path to this ini file (for filenames)

Returns:
  true if loading was successful.

Reimplemented from BaseSet< MusicSet, NUM_SONGS_AVAILABLE, GM_DIR >.

Definition at line 71 of file music.cpp.

References MD5File::filename, BaseSet< MusicSet, NUM_SONGS_AVAILABLE, GM_DIR >::files, BaseSet< T, Tnum_files, Tsubdir >::FillSetDetails(), IniFile::GetGroup(), IniGroup::GetItem(), lastof, lengthof, song_name, strecpy(), StrEmpty(), and IniItem::value.

## Field Documentation

char MusicSet::song_name[NUM_SONGS_AVAILABLE][32]

The name of the different songs.

Definition at line 271 of file base_media_base.h.

Referenced by FillSetDetails(), and GetSongName().

The documentation for this struct was generated from the following files:

- src/base_media_base.h
- src/music.cpp